#include "toolfe.h"

int main(int argc,char *argv[]) {
  int ierr=0;
  win32fe::tool *FE;
  if (argc>1) {
    win32fe::tool::Create(FE,(std::string)(argv[1]));
  } else {
    win32fe::tool::Create(FE,"--help");
  }

  FE->GetArgs(argc,argv);
  ierr = FE->Parse();
  if (!ierr) {
    ierr = FE->Execute();
  }
    
  FE->Destroy();
  return(ierr);
}
