#if !defined(win32fe_ClFE_h)
#define win32fe_ClFE_h

#include "compilerfe.h"

namespace win32fe {

  class cl : public compiler {
  public:
    cl();
    ~cl() {}
    virtual int Parse(void);
  protected:
    virtual void Help(void);
    virtual void FoundL(win32fe::LI &);

    virtual void FindInstallation(void);
    virtual void AddPaths(void);

    std::string VisualStudioDir;
    std::string VSVersion;
  };

  class df : public cl {
  public:
    df () {}
    ~df() {}
  protected:
    virtual void Help(void);
    virtual void AddPaths(void);
    virtual void AddSystemLib(void);
  };

}

#endif

